Page MenuHomeFreeBSD

Keep keyboard mode and state and restore it when switching window
ClosedPublic

Authored by dumbbell on Sep 23 2014, 6:30 PM.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

dumbbell updated this revision to Diff 1736.Sep 23 2014, 6:30 PM
dumbbell retitled this revision from to Keep keyboard mode and state and restore it when switching window.
dumbbell updated this object.
dumbbell edited the test plan for this revision. (Show Details)
dumbbell added reviewers: ray, emaste, nwhitehorn.
ray accepted this revision.Sep 24 2014, 9:32 PM
ray edited edge metadata.

That is what I have to done while ago :)
One comment - there is last `kbdd_ioctl(...KDSKBMODE...) in the vtterm_cngetc, so looks like grab/ungrab have to save/restore kbdstate of current window too. (I'm not sure)

Thanks a lot!

This revision is now accepted and ready to land.Sep 24 2014, 9:32 PM
kwm added a subscriber: kwm.Sep 27 2014, 8:44 PM

This patch allows me to use the console right away after X shutdown. Before I would need to switch to another console before keyboard input would be registered.

dumbbell updated this revision to Diff 1864.Oct 2 2014, 4:22 PM
dumbbell edited edge metadata.

Use vt_{update,save}_kbd_{mode,state} in vterm_cngetc() too.

dumbbell closed this revision.Oct 2 2014, 4:36 PM
dumbbell updated this revision to Diff 1865.

Closed by commit rS272416 (authored by @dumbbell).